Bug 209627 - Separate core schema into internal + external
Separate core schema into internal + external
Status: CLOSED NEXTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2006-10-06 10:12 EDT by Rich Megginson
Modified: 2015-01-04 18:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 18:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed internal core schema (21.37 KB, text/plain)
2006-10-06 10:12 EDT, Rich Megginson
no flags Details
security config schema (3.23 KB, application/octet-stream)
2006-10-06 10:13 EDT, Rich Megginson
no flags Details
Active Directory schema (87.81 KB, text/plain)
2006-10-06 10:14 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2006-10-06 10:12:11 EDT
We need to have a core schema file that just defines the schema required to
start up and run a basic server.  That file is attached.  The other schema used
to configure the server should be in a separate file or files.
Internal entries defined in fedse.c, configdse.c, and schema.c should not depend
on non-core schema.
Andrew, do we also want to include the AD schema at this time, or it is still in
flux?
Comment 1 Rich Megginson 2006-10-06 10:12:11 EDT
Created attachment 137917 [details]
proposed internal core schema
Comment 2 Rich Megginson 2006-10-06 10:13:44 EDT
Created attachment 137918 [details]
security config schema

We might want to move this into the internal core as well.
Comment 3 Rich Megginson 2006-10-06 10:14:17 EDT
Created attachment 137919 [details]
Active Directory schema
Comment 4 Rich Megginson 2007-10-05 12:09:52 EDT
Andrew, were you proposing adding the active directory schema to the server? 
Another route is that Fedora DS 1.1 now has SchemaFile and ConfigFile options. 
See http://directory.fedoraproject.org/wiki/FDS_Setup#slapd_section
Comment 5 Andrew Bartlett 2007-10-07 20:56:42 EDT
No, I don't propose to add the schema as it will keep changing, and we want it
to match Samba4's internal version of that schema.  

I'll look at the SchemaFile option, it might avoid the need for us to copy the
schema in manually (in conjunction with install_full_schema  = 0).
Comment 6 Rich Megginson 2007-10-07 22:02:47 EDT
(In reply to comment #5)
> No, I don't propose to add the schema as it will keep changing, and we want it
> to match Samba4's internal version of that schema.  

Ok.
 
> I'll look at the SchemaFile option, it might avoid the need for us to copy the
> schema in manually (in conjunction with install_full_schema  = 0).

Thanks.  That was the intention, to do everything at once in the setup.

Note You need to log in before you can comment on or make changes to this bug.